Subject: Another question about print-object

From: Don Cohen <[email-masked]>
Date: Wed, 12 Jul 95 10:22:52 PDT

The last message reminds me that I was trying to figure out how to
make print-object work for structs (other types would also be nice).
I was not able to find the code for printing structs in the lisp
source.  (This leads me to suspect it's in C, and I'd rather not
try to change things there.)
I guess one approach would be to change defstruct to supply
a print function in every case (perhaps even change any print function
actually supplied into a method for print-object).
A more general solution (for all types) could similarly be obtained
by rewriting the print function (and all the other related functions).
I hope there's a better solution.
Does someone out there who's more familiar with the code have any
suggestions?